#
# spec file for package python-phonenumbers
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-phonenumbers
Version:        8.12.0
Release:        bp153.1.24
Summary:        Python version of Google's common library for international phone numbers
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/daviddrysdale/python-phonenumbers
Source:         https://files.pythonhosted.org/packages/source/p/phonenumbers/phonenumbers-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python version of Google's common library for parsing, formatting, storing
and validating international phone numbers.

%prep
%setup -q -n phonenumbers-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests/examplenumberstest.py

%files %{python_files}
%license LICENSE
%{python_sitelib}/phonenumbers
%{python_sitelib}/phonenumbers-%{version}-py*.egg-info/

%changelog
* Tue Mar 24 2020 pgajdos@suse.com
- version update to 8.12.0
  * metadata updates
  * see https://github.com/google/libphonenumber/blob/master/release_notes.txt
* Mon Mar 16 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 8.11.5
  * metadata updates
  * see https://github.com/google/libphonenumber/blob/master/release_notes.txt
* Tue Sep 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 8.10.18:
  * metadata updates
* Tue Jul 23 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 8.10.15:
  * updates to metadata informations
* Mon Jun  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 8.10.13:
  * Updates from upstream project metadata
* Mon Mar 25 2019 pgajdos@suse.com
- version update to 8.10.8
  * Merge metadata changes from upstream
  * Only compare national number patterns
  * Use class name for repr() instead of hard-coded string
- deleted sources
  - LICENSE (already provided upstream)
* Mon Dec 10 2018 Tomáš Chvátal <tchvatal@suse.com>
- Fix fdupes call
- Install license file
- Update to 8.10.2:
  * no upstream changelog available
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Jan 11 2018 parlt@suse.com
- update to 8.8.9
- no upstream changelog available
* Mon Oct  2 2017 ecsos@opensuse.org
- update to 8.8.2
- convert to  singelspec
* Mon May  1 2017 mrueckert@suse.de
- initial package
